// model.ts
export interface Cliente {
  nombre: string;
}

export interface Aula {
  nombre: string;
  clientes: Cliente[];
}

export interface UnidadOrganizativa {
  id: number;
  nombre: string;
  uuid: string;
  type: string;
  aulas: Aula[];
}

export interface OrganizationalUnit {
  "@id": string;
  "@type": string;
  id: number;
  name: string;
  type: string;
  uuid: string;
}

export interface Client {
  "@id": string;
  "@type": string;
  id: number;
  name: string;
  type: string;
  serialNumber: string;
  netiface: string;
  organizationalUnit: OrganizationalUnit;
  partitions: any[];
  createdAt: string;
  createdBy: string;
  uuid: string;
}

export interface ClientCollection {
  "@context": string;
  "@id": string;
  "@type": string;
  "hydra:totalItems": number;
  "hydra:member": Client[];
  "hydra:view": {
    "@id": string;
    "@type": string;
  };
}