import { HttpClient } from '@angular/common/http';
import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-add-role-modal',
  templateUrl: './add-role-modal.component.html',
  styleUrl: './add-role-modal.component.css'
})
export class AddRoleModalComponent {
  constructor(
    public dialogRef: MatDialogRef<AddRoleModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any,
    private http: HttpClient
  ) {}
  onNoClick(): void {
    this.dialogRef.close();
  }
}
